<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Test for json file reading</title>
</head>
<body>
<!--<script src="getjson_test_01.js"></script>-->
<script>
    let lat = 34.649441;
    let lon = 135.001304;
    let html = '';
    let url_gsi_api = 'http://cyberjapandata2.gsi.go.jp/general/dem/scripts/getelevation.php';
    let url = url_gsi_api + '?lat=' + lat + '&lon=' + lon;
    document.write('<dvi>' + url + '</dvi><br />')
    fetch(url)
        .then(response => {
            return response.json();
            })
        .then(jsondata => document.write(`${jsondata.elevation} m (精度: ${jsondata.hsrc})`))
    //gsiAPIRead()
</script>
<div id="container"></div>
</body>
</html>